<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Acitvitys.EspacePerso.EPgetPhoneActivity">

    <androidx.cardview.widget.CardView
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardElevation="6dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="65dp"
            android:paddingRight="6dp">

            <ImageView
                android:layout_width="150dp"
                android:layout_height="65dp"
                android:src="@drawable/ic_logo" />


        </RelativeLayout>

    </androidx.cardview.widget.CardView>


    <!--   Body -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/toolbar"
        android:layout_above="@+id/rl_footer">

        <!--    Header-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/cardView"
            android:paddingHorizontal="3dp"
            android:orientation="vertical"
            android:gravity="center">

            <TextView
                android:id="@+id/title1"
                style="@style/first_title"
                android:text="@string/cr_er_mon_espace_personnel"  />

            <TextView
                android:id="@+id/title2"
                 style="@style/second_title"
                android:text="@string/pour_commencer_saisissez_votre_num_ro_de_t_l_phone"
                  />

        </LinearLayout>


        <!-- content main-->
        <androidx.cardview.widget.CardView
            android:id="@+id/cardView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_marginHorizontal="20dp"
            android:elevation="30dp"
            app:cardCornerRadius="16dp"
            app:cardElevation="30dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="25dp"
                android:orientation="vertical">




                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                     >

                    <com.hbb20.CountryCodePicker
                        android:id="@+id/ccp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/border_left_b"
                        android:padding="2dp"
                        app:ccp_defaultNameCode="MA"
                        app:ccp_showNameCode="false"
                        app:ccp_showArrow="false"
                        app:ccp_countryPreference="MA,US,FR,DZ"/>

                    <EditText
                        android:id="@+id/edit_pswrd"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:backgroundTintMode="src_in"
                        android:background="@drawable/border_right_b"
                        android:layout_gravity="bottom"
                        android:drawablePadding="10dp"
                        android:fontFamily="sans-serif"
                        android:hint="__ __ __ __ __"
                        android:inputType="phone"
                        android:maxLines="1"
                        android:padding="10dp"
                        android:drawableEnd="@drawable/ic_arrow_drop_down"/>
                </LinearLayout>



                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:layout_alignParentRight="true"
                    android:layout_toEndOf="@+id/txt_pre"
                    app:startIconDrawable="@drawable/ic_numbers"
                    app:startIconTint="@color/primary"
                    app:boxBackgroundMode="outline"
                    app:boxCornerRadiusBottomEnd="25dp"
                    app:boxCornerRadiusBottomStart="25dp"
                    app:boxCornerRadiusTopEnd="25dp"
                    app:boxCornerRadiusTopStart="25dp"
                    app:boxStrokeColor="#CCCCCC">

                    <AutoCompleteTextView
                        android:id="@+id/dropdown_oprerator"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:drawableEnd="@drawable/ic_down"
                        android:gravity="center"
                        android:inputType="none"
                        android:padding="1dp"
                        android:text="Sélectionner votre opérateur"
                        android:textColor="#CCCCCC" />
                </com.google.android.material.textfield.TextInputLayout>









            </LinearLayout>


        </androidx.cardview.widget.CardView>

        <RelativeLayout
            android:id="@+id/cardView2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/cardView"
            android:layout_marginTop="100dp"
            android:background="@drawable/radius_left_right">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="50dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    android:translationX="-600dp"
                    app:cardCornerRadius="500dp"
                    app:cardElevation="0dp" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingLeft="200dp"
                android:paddingTop="50dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    app:cardCornerRadius="400dp"
                    app:cardElevation="0dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="220dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:translationX="-90dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    app:cardCornerRadius="400dp"
                    app:cardElevation="0dp" />

            </LinearLayout>

        </RelativeLayout>

    </RelativeLayout>

    <!--  Footer  -->
    <RelativeLayout
        android:id="@+id/rl_footer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:paddingHorizontal="15dp"
        android:paddingVertical="10dp">

        <ImageView
            android:id="@+id/img_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:padding="10dp"
            android:src="@drawable/ic_back" />

        <TextView
            android:id="@+id/btn_next"
            style="@style/btn_next"
            android:drawableEnd="@drawable/ic_next"
            android:paddingRight="6dp"
            android:gravity="center"
            android:text="@string/continuer" />




    </RelativeLayout>





</RelativeLayout>